%define pkgname liberation-fonts-ttf
%define oname liberation-fonts
%define archivename %{oname}-%{version}
%define catalogue %{_sysconfdir}/X11/fontpath.d
%define fontname liberation
%define _fondir  %{_datadir}/fonts/TTF/liberation

Summary: Fonts to replace commonly used Microsoft Windows Fonts
Name: fonts-ttf-liberation
Version: 1.07.2
Release: %mkrel 1
# The license of the Liberation Fonts is a EULA that contains 
# GPLv2 and two exceptions:
# The first exception is the standard FSF font exception.
# The second exception is an anti-lockdown clause somewhat like
# the one in GPLv3. This license is Free, but GPLv2 and GPLv3
# incompatible.
License: GPLv2 + font exception
Group: System/Fonts/True type
URL: https://fedorahosted.org/liberation-fonts/
Source0: https://fedorahosted.org/releases/l/i/liberation-fonts/%{archivename}.tar.gz
Source1:  generate.pe
BuildArch: noarch
BuildRequires: ttmkfdir
BuildRequires: fontforge
BuildRequires: mkfontdir
BuildRequires: mkfontscale

%description
The Liberation Fonts are intended to be replacements for the three
most commonly used fonts on Microsoft systems: Times New Roman,
Arial, and Courier New.

%prep
%setup -q -n %{archivename}
rm -rf scripts
mv src/* .
rm -rf src
cp %{SOURCE1} .
chmod 755 generate.pe

%build
./generate.pe *.sfd
mv LiberationMono.ttf LiberationMono-Regular.ttf
mv LiberationSerif.ttf LiberationSerif-Regular.ttf
mv LiberationSans.ttf LiberationSans-Regular.ttf

%install
%__rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/fonts/TTF/liberation
install -m 644 *.ttf %{buildroot}%{_datadir}/fonts/TTF/liberation
ttmkfdir %{buildroot}%{_datadir}/fonts/TTF/liberation > %{buildroot}%{_datadir}/fonts/TTF/liberation/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/liberation/fonts.scale

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_datadir}/fonts/TTF/liberation \
    %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-liberation:pri=50

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_datadir}/fonts/TTF/liberation \
    %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-liberation:pri=50

# fonts.{dir,scale}
mkfontdir %{buildroot}%{_fontdir}
mkfontscale %{buildroot}%{_fontdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc License.txt COPYING
%dir %{_datadir}/fonts/TTF/liberation
%{_datadir}/fonts/TTF/liberation/liberation
%{_datadir}/fonts/TTF/liberation/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/liberation/fonts.dir
%{_datadir}/fonts/TTF/liberation/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-liberation:pri=50



%changelog
* Thu Mar 15 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.07.2-1mdv2011.0
+ Revision: 785047
- version update 1.07.2

* Mon Oct 03 2011 Andrey Bondrov <abondrov@mandriva.org> 1.07.1-1
+ Revision: 702525
- New version: 1.07.1

* Tue May 17 2011 Funda Wang <fwang@mandriva.org> 1.05.2-6
+ Revision: 675421
- br fontconfig for fc-query used in new rpm-setup-build

* Tue May 17 2011 Funda Wang <fwang@mandriva.org> 1.05.2-5
+ Revision: 675185
- rebuild for new rpm-setup

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.05.2-4
+ Revision: 664334
- mass rebuild

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.05.2-3mdv2011.0
+ Revision: 605200
- rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.05.2-2mdv2010.1
+ Revision: 494151
- fc-cache is now called by an rpm filetrigger

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 1.05.2-1mdv2010.1
+ Revision: 493789
- Update to new version 1.05.2.20091227

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.04-2mdv2009.1
+ Revision: 351079
- rebuild

* Wed Aug 27 2008 Frederic Crozat <fcrozat@mandriva.com> 1.04-1mdv2009.0
+ Revision: 276484
- Release 1.04
- Remove source1, integrated in tarball now

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0-2mdv2009.0
+ Revision: 220953
- rebuild

* Thu Mar 06 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0-1mdv2008.1
+ Revision: 180881
- Release 1.0 (fully hinted)

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.2-2mdv2008.1
+ Revision: 149817
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Aug 28 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2-1mdv2008.0
+ Revision: 72692
- Update tarball to -3 release

* Fri Jul 06 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.1-3mdv2008.0
+ Revision: 49020
- fontpath.d conversion (#31756)

* Tue May 22 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1-2mdv2008.0
+ Revision: 29693
- New upstream tarball
- Fix license
- drop fontconfig dependency

* Fri May 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1-1mdv2008.0
+ Revision: 26348
- Initial package
- Import fonts-ttf-liberation

